## org.eclipse.datatools.sqltools.db.derby.parser
Class ASTSQLParam

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode
          org.eclipse.datatools.sqltools.db.derby.parser.SimpleNode
              org.eclipse.datatools.sqltools.db.derby.parser.ASTSQLParam

All Implemented Interfaces:
  IASTSQLParam, Node

    public class ASTSQLParam

extends SimpleNode
implements IASTSQLParam

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.IASTSQLParam
`INOUT, INPUT, OUTPUT`

Constructor Summary
`ASTSQLParam(DerbySQLParser p, int id)`
`ASTSQLParam(int id)`

Method Summary
`java.lang.String` `getDefaultValue()`
`int` `getDirection()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`IASTSQLDataType` `getTypeObject()`
`java.lang.Object` `jjtAccept(DerbySQLParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` `setDefaultValue(java.lang.String defaultValue)`
`void` `setDirection(int direction)`
`void` `setName(java.lang.String name)`
`void` `setType(java.lang.String type)`
`void` `setTypeObject(IASTSQLDataType type)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.sqltools.db.derby.parser.SimpleNode
`childrenAccept, dump, toString`

Methods inherited from class org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode

`acceptChildren, equals, exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, getText, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Constructor Detail

### ASTSQLParam

    public ASTSQLParam(int id)

### ASTSQLParam

    public ASTSQLParam(DerbySQLParser p,
                       int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(DerbySQLParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Overrides:
    `jjtAccept` in class `SimpleNode`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `IASTSQLParam`

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

  Specified by:
    `setDefaultValue` in interface `IASTSQLParam`

### getDirection

    public int getDirection()

  Specified by:
    `getDirection` in interface `IASTSQLParam`

### setDirection

    public void setDirection(int direction)

  Specified by:
    `setDirection` in interface `IASTSQLParam`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `IASTSQLParam`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `IASTSQLParam`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `IASTSQLParam`

### setType

    public void setType(java.lang.String type)

  Specified by:
    `setType` in interface `IASTSQLParam`

### getTypeObject

    public IASTSQLDataType getTypeObject()

  Specified by:
    `getTypeObject` in interface `IASTSQLParam`

### setTypeObject

    public void setTypeObject(IASTSQLDataType type)

  Specified by:
    `setTypeObject` in interface `IASTSQLParam`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`